/*
Simple Responsive Template v 1.2


primary styles 
   Author: www.prowebdesign.ro
   Add your own styles to customize the project.



BASE (MOBILE) SIZE
	These are the mobile styles. It's what people see on their phones.
	Remember, keep it light: Speed is Important.
*/

/* typography */
body{
	color:#fddf8f; /* leipatekstin vari */
	font-family:'Ubuntu', Arial, Helvetica, sans-serif; 
	font-size:1em;
	line-height:1.4em; 
	font-weight:normal;
}
h1{
	font-weight:normal;
	font-family:'Ubuntu', Arial, Helvetica, sans-serif; 
	line-height:1.5em;
	margin:0 0 0 0.5em;
	padding:0;
} 

h3 {
	font-weight:normal;
	font-family:'Ubuntu', Arial, Helvetica, sans-serif; 
	line-height:1.5em;
	padding:0;
	margin:1em 1em 1em 0.9em;
} 

hr {
	width:90%;
	margin-left:1em;
	margin-right:40em;
} 

/* links */ 
a,
a:visited,
a:active,
a:hover{color:#fddf8f;}
a:hover{ text-decoration:none;}


/* Box sizing. Awesome thing. Read about it here: http://www.w3schools.com/cssref/css3_pr_box-sizing.asp */
*{	box-sizing:border-box;
	-moz-box-sizing:border-box;
}

  
/* structure */   
.wrapper{
	width: 92%; 
	margin: 0 auto;
}

header{ 
	padding:15px 0;
}

#banner{ 
	text-align:center;
	margin-top:-30px;
	margin-bottom:10px;
}
	
#hero{
	background:rgba(105, 105, 105,.4);  
	margin:20px 0;
	padding:10px 0 0 10px;
}

#page-header{
	background:rgba(105, 105, 105,.4);  /* otsikkoraidan pohjavari */
	padding:1px;
}

#content {  
	margin:20px 0; /* vasemman sarakkeen marginaalit */ 
	padding:20px 20px; 
	background:rgba(150,150,150,.3); /* vasemman sarakkeen pohjavari */  
}

#content_loma {  
	margin:0px auto; /* vasemman sarakkeen marginaalit */ 
	padding:5px 0px; 
	background:rgba(0,0,0,0.02);  
}

aside { 
	margin:20px 0; /* oikean sarakkeen marginaalit */
	background:rgba(150,150,150,.4); /* oikean sarakkeen pohjavari */
	
}

p{ margin:1em 1em 1em 1em;}

.flexslider{
display:block;
/*demo 1 slider theme*/	
margin: 5px 0 10px 0; 
padding:10px 0 10px 10px;
background: rgba(205, 205, 205,.5); 
border: 1px solid #000; 
-webkit-border-radius: 4px; 
-moz-border-radius: 4px; 
-o-border-radius: 4px; 
border-radius: 4px; 
box-shadow: 0 1px 4px rgba(0,0,0,.2); 
-webkit-box-shadow: 0 1px 4px rgba(0,0,0,.2); 
-moz-box-shadow: 0 1px 4px rgba(0,0,0,.2); 
-o-box-shadow: 0 1px 4px rgba(0,0,0,.2);

}


/* RESPONSIVE IMAGES */
img{
	max-width:98%;
	height:auto;
	margin:0 0 0 0;
}

.robotti {
	display: none;
	}
	
.tahti	{font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; color:#ff0000; font-weight:bold;
		}

.tahti_normal	{font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; color:#ff0000; font-weight:normal;
		}
		
.tahti_iso	{font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1.5em; color:#ff0000; font-weight:bold;
		}		
		
.txtinput {
		width: 90%;
	}

/*MAIN MENU*/
.menu-toggle{
	display: block;
	padding:10px;
	margin:10px 0 0;
	background:rgba(216,109,27,.7);
	color:#fddf8f;
	cursor: pointer;
	text-transform:uppercase;
	font-size:20px;
}
.menu-toggle.toggled-on{
	background:rgba(253, 223, 143, .5);
}
.srt-menu{
	display:none;
}	
.srt-menu.toggled-on{
	display:block;
	position:relative;
	z-index:10;
}

.srt-menu{
	clear:both;
	margin-bottom:40px;
	
}
.srt-menu li a {
	background:rgba(105,105,105, .9);
	display:block;
	margin:1px 0; 
	padding:10px;
	text-decoration:none;
}
.srt-menu li a:hover{
	background:rgba(253, 223, 143, .5); /*tablet navinappien hover-taustavari*/
	color:#fff;
}

.srt-menu li li a {
	background:rgba(216,109,27,.7);
	padding-left:40px;
	color:#fff;
}

.srt-menu li li a:hover {
	background:718796;
	padding-left:40px;
}


/*SECONDARY MENU*/
#secondary-navigation{
	margin:20px 0; /*sivunavinappien ja kuvan valinen marginaali*/
}

#secondary-navigation ul{
	margin:-10px 20px; /*sivunavinappien marginaali*/
	padding:1px;
}
#secondary-navigation ul li a{ 
	background:rgba(216,109,27,.7);
	display:block;
	margin:10px 0; 
	padding:10px;
	text-decoration:none;
	color:#fff;
}
#secondary-navigation ul li a:hover,
#secondary-navigation ul li.current a{
	background:#d86d1b;
	color:#fff;
}


/*SPACE GRID ELEMENTS VERTICALLY, SINCE THEY ARE ONE UNDER ANOTHER SO FAR*/
.grid_1,
.grid_2,
.grid_3,
.grid_4,
.grid_5,
.grid_6,
.grid_7,
.grid_8,
.grid_9,
.grid_10,
.grid_11,
.grid_12 {
	margin-bottom:40px;
	/*positioning and padding*/
	position: relative;
    min-height: 1px;
    padding-left: 15px;
    padding-right: 15px;
}

/*FOOTER*/
footer{  
	clear:both;
	font-size:90%;
	padding:-10px 0;
}

footer ul{
	margin:0;
	padding:0;
}

/*colors and backgrounds*/
body{
	background:url(../images/taus.jpg) /* pohjavari */
}
h1, h2, h3, h4, h5, h6{
	color:#fddf8f; 
}

.boldis{
	color:#fff; 
}

footer{ 
	background:rgba(253, 223, 143, .8);
	color:#000;
}

footer h1, footer h2, footer h3, footer h4{ 
	color:#CCC; 
	margin-bottom:10px;
}

footer ul{
	margin:0 0 0 8%;
}

a.buttonlink{ 
	background:#0099ff; 
	border-radius:7px; 
	color:#fff;
	display:block;
	float:left; 
	margin:10px 15px 10px 0; 
	padding:10px;
	text-decoration:none;
}
a.buttonlink:hover{
	background:#8dbc01;
}
.greenelement{
	background:#5ec79e;
	color:#fff;
}
.violetelement{
	background:#887dc2;
	color:#fff;
}



/* Contain floats*/ 
.clearfix:before,
.clearfix:after,
.row:before,
.row:after {
  content: " ";
  display: table;
}
.clearfix:after,
.container:after,
.row:after{
  clear: both;
}


/*
LARGER MOBILE DEVICES
This is for mobile devices with a bit larger screens.
*/
@media only screen and (min-width: 481px) {
#banner{
	float:left;
	text-align:left;
	margin-bottom:-5px;/*this depends on the height of the logo*/
}
.menu-toggle{/*make menu float right, instead of sitting under the logo*/
	margin-top:10px; /*this depends on the height of the logo*/
	float:right;
}

} 

/*
TABLET & SMALLER LAPTOPS
The average viewing window and preferred media query for those is 768px.
But I think that some more breathing space is good:)
*/
@media only screen and (min-width: 873px) {

.wrapper{
	max-width: 1200px; 
	margin: .75em auto;
}

#banner{ 
	float:left; 
	text-align:left;
	margin-bottom:0px;
}
header{
	padding:0;
}
#content {  
	float:left;
	width:65%;
	
}

#content_loma {  
	float:none;
	width:65%;
	
}
#content.wide-content{
	float:none;
	width:100%;
}

#hero {  
	float:left;
	width:65%;
	margin: 20px 0 20px 0;
}

aside { 
	float:right;
	width:30%;
}

.srt-menu li li a {
	background:rgba(216,109,27,.7);
	padding-left:40px;
	color:#fff;
}



/*** MAIN MENU - ESSENTIAL STYLES ***/
.menu-toggle{display:none;}
#menu-main-navigation{display:block;}

.srt-menu, .srt-menu * {
	margin:			0;
	padding:		0;
	list-style:		none;
}
.srt-menu ul {
	position:		absolute;
	display:none;
	width:			18em; /* left offset of submenus need to match (see below) */
}
.srt-menu ul li {
	width:			100%;
}
.srt-menu li:hover {
	visibility:		inherit; /* fixes IE7 'sticky bug' */
}
.srt-menu li {
	float:			left;
	position:		relative;
	margin-left:1px;
}
.srt-menu li li {
	margin-left:0px;
}
.srt-menu a {
	display:		block;
	position:		relative;
}
.srt-menu li:hover ul,
.srt-menu li.sfHover ul {
	display:block;
	left:			0;
	top:			45px; /* match top ul list item height */
	z-index:		99;
	-webkit-box-shadow:  2px 3px 2px 0px rgba(00, 00, 00, .3);
    box-shadow:  2px 3px 2px 0px rgba(00, 00, 00, .3);
}
ul.srt-menu li:hover li ul,
ul.srt-menu li.sfHover li ul {
	top:			-999em;
}
ul.srt-menu li li:hover ul,
ul.srt-menu li li.sfHover ul {
	left:			12em; /* match ul width */
	top:			0;
}
ul.srt-menu li li:hover li ul,
ul.srt-menu li li.sfHover li ul {
	top:			-999em;
}
ul.srt-menu li li li:hover ul,
ul.srt-menu li li li.sfHover ul {
	left:			10em; /* match ul width */
	top:			0;
}

/*** PAANAVIN MUOTOILU ***/
#topnav, .srt-menu {
	float:right;
	margin: .35em 0 0 0;
}
.srt-menu a {
	text-decoration:none;
}
.srt-menu li a {
	background:rgba(105, 105, 105,.5); /* paanavinappien pohjavari*/
	margin:0; 
	padding:8px 7px;
	height:45px;
}
.srt-menu a, .srt-menu a:visited  { /* visited pseudo selector so IE6 applies text colour*/
	color:#fddf8f;	
}
.srt-menu li li a {
		border-top:		1px solid rgba(255,255,255,.2);
		background:#333; /*fallback for old IE*/
		background:rgba(216,109,27,.7);
		color:	#fff;
		padding-left:20px;
		height:auto;
}
.srt-menu li li a:visited{color:#fff;}
.srt-menu li li li a,
.srt-menu li.current * li a{
	padding-left:20px;
	background:rgba(216,109,27,.7);
	font-size:1em;
	color:#fff;
}

.srt-menu li:hover > a, /*aktiivinen nappi*/
.srt-menu li.current a{ 
	color:#fddf8f;
	background:rgba(253, 223, 143, .5);
	font-size:1em;
}
.srt-menu li li:hover > a{
	color:#fff;
	background:#d86d1b;
	font-size:1em;
	padding-left:20px;
}



/*GRID*/
/*
 & Columns : 12 

 */
 .row{
	 margin-left: -15px;
     margin-right: -15px;
}
 
.grid_1 { width: 8.33333333%; }
.grid_2 { width: 16.66666667%; }
.grid_3 { width: 25%; }
.grid_4 { width: 33.33333333%; }
.grid_5 { width: 41.66666667%; }
.grid_6 { width: 50%; }
.grid_7 { width: 58.33333333%; }
.grid_8 { width: 66.66666667%; }
.grid_9 { width: 75%; }
.grid_10 { width: 83.33333333%; }
.grid_11 { width: 91.66666667%; }
.grid_12 { width: 100%; }

.grid_1,
.grid_2,
.grid_3,
.grid_4,
.grid_5,
.grid_6,
.grid_7,
.grid_8,
.grid_9,
.grid_10,
.grid_11,
.grid_12 {
	float: left;
	display: block;
}

.rightfloat{float:right;}
/* @notation inspired by tinyGrid, .row and percentage by Twitter Bootstrap
 */
 
#hero [class*="grid_"] { margin-bottom:-20px;}

}

/*
DESKTOP
This is the average viewing window. So Desktops, Laptops, and
in general anyone not viewing on a mobile device. Here's where
you can add resource intensive styles.
*/
@media only screen and (min-width: 1030px) {

} 

/*
LARGE VIEWING SIZE
This is for the larger monitors and possibly full screen viewers.
*/
@media only screen and (min-width: 1240px) {

} 

/*
RETINA (2x RESOLUTION DEVICES)
This applies to the retina iPhone (4s) and iPad (2,3) along with
other displays with a 2x resolution.
*/
@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
       only screen and (min--moz-device-pixel-ratio: 1.5),
       only screen and (min-device-pixel-ratio: 1.5) {


} 

/*
iPHONE 5 MEDIA QUERY
iPhone 5 or iPod Touch 5th generation styles (you can include your own file if you want)
*/
@media (device-height: 568px) and (-webkit-min-device-pixel-ratio: 2) { 

  
}

/*
PRINT STYLESHEET
*/
@media print {
  * { background: transparent !important; color: black !important; text-shadow: none !important; filter:none !important; -ms-filter: none !important; } /* Black prints faster: h5bp.com/s */
  a, a:visited { text-decoration: underline; }
  a[href]:after { content: " (" attr(href) ")"; }
  abbr[title]:after { content: " (" attr(title) ")"; }
  .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after { content: ""; }  /* Don't show links for images, or javascript/internal links */
  pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
  thead { display: table-header-group; } /* h5bp.com/t */
  tr, img { page-break-inside: avoid; }
  img { max-width: 100% !important; }
  @page { margin: 0.5cm; }
  p, h2, h3 { orphans: 3; widows: 3; }
  h2, h3 { page-break-after: avoid; }
}


		
.footera {
		font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; 
		font-size:1em; 
		color:#000; 
		font-weight:normal;
		text-decoration:none;
		}
.footera:visited {
		font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; 
		font-size:1em; 
		color:#000; 
		font-weight:normal;
		text-decoration:none;
		}
.footera:active {
		font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; 
		font-size:1em; 
		color:#000; 
		font-weight:normal;
		text-decoration:none;
		}
.footera:hover {
		font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; 
		font-size:1em; 
		color:#d86d1b; 
		font-weight:normal;
		text-decoration:none;
		}
		
a.leipis {
	font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; 
  	color: #d86d1b;
	text-decoration:none;
	}

a.leipis:visited {
	font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; 
  	color: #d86d1b;
	text-decoration:none;
	}

a.leipis:hover {
	font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; 
	color: #fff;
	text-decoration:none;
	}

a.leipis:active {
	font-family:'Ubuntu', Verdana, Helvetica, Arial, Sans Serif; font-size:1em; 
	color: #d86d1b;
	text-decoration:none;
	}
	


